package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/26 星期三 14:55
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eRecordStatu {
    //派单中，维修中，转后勤，已完成，待确认，转单待审核，协作待审核，已取消，已关单
    Dispatch(1),//派单中 待接单
    Maintenance(2),//维修中
    ToLogistics(3),//转后勤 待处理
    ToConfirmed(4),//待确认
    Transfer(5),//转单待审核
    Collaborate(6),//协作待审核
    Finished(7),//已完成
    Canceled(8),//已取消
    Closed(9),//已关单
    Offline(10),//转线下
    OfflineReview(11);//转线下待审核


    private int value;

    eRecordStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eRecordStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eRecordStatu.Dispatch;
            case 2:
                return eRecordStatu.Maintenance;
            case 3:
                return eRecordStatu.ToLogistics;
            case 4:
                return eRecordStatu.ToConfirmed;
            case 5:
                return eRecordStatu.Transfer;
            case 6:
                return eRecordStatu.Collaborate;
            case 7:
                return eRecordStatu.Finished;
            case 8:
                return eRecordStatu.Canceled;
            case 9:
                return eRecordStatu.Closed;
            case 10:
                return eRecordStatu.Offline;
            case 11:
                return eRecordStatu.OfflineReview;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "待接单";
            case 2:
                return "维修中";
            case 3:
                return "转后勤";
            case 4:
                return "待确认";
            case 5:
                return "转单待审核";
            case 6:
                return "协作待审核";
            case 7:
                return "已完成";
            case 8:
                return "已取消";
            case 9:
                return "已关单";
            case 10:
                return "转线下";
            case 11:
                return "转线下待审核";
            default:
                return null;
        }
    }
}
